/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2018 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsp.mingraviditet.ui.main.appointments.details.viewpager.observations

import dk.nsp.mingraviditet.R
import dk.nsp.mingraviditet.databinding.CareplanActivityTimestampRowBinding
import dk.nsp.mingraviditet.util.android.recycler.BindingViewHolder
import dk.nsp.mingraviditet.util.android.recycler.DelegationListAdapterInflater
import dk.nsp.mingraviditet.util.android.recycler.RecyclerAdapterView
import dk.nsp.mingraviditet.util.extensions.toTextModelOrDefault
import dk.nsp.shared.util.extensions.toPrettyString
import dk.nsp.util.textmodel.TextModel
import dk.nsp.util.toTextModel
import java.time.LocalDateTime

class CareplanActivityTimestampRow(val name: String?, val date: LocalDateTime) :
    RecyclerAdapterView<CareplanActivityTimestampRowBinding> {
    override fun bindData(viewHolder: BindingViewHolder<CareplanActivityTimestampRowBinding>) {
        viewHolder.binding.text = TextModel.from(
            R.string.appointment_details_measurement_author,
            name.toTextModelOrDefault(),
            date.toPrettyString().toTextModel(),
        )
    }

    override val createHolderFunction: DelegationListAdapterInflater<CareplanActivityTimestampRowBinding> =
        CareplanActivityTimestampRowBinding::inflate
}
