/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsp.mingraviditet.ui.main.journal.extensions

import dk.nsp.mingraviditet.R
import dk.nsp.mingraviditet.testextensions.assertResourceModel
import dk.nsp.models.PersonalDataSectionNextOfKin
import org.junit.jupiter.api.Test

class RelationExtensionsTest {
    @Test
    fun personalDataSectionNextOfKinRelationToTextModel() {
        PersonalDataSectionNextOfKin.Relation.UspecPRRende.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_unspecified_relative)
        PersonalDataSectionNextOfKin.Relation.IngenRelationer.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_no_relations)
        PersonalDataSectionNextOfKin.Relation.Barn.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_child)
        PersonalDataSectionNextOfKin.Relation.Mor.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_mother)
        PersonalDataSectionNextOfKin.Relation.Far.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_father)
        PersonalDataSectionNextOfKin.Relation.ForLder.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_parent)
        PersonalDataSectionNextOfKin.Relation.SSkende.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_sibling)
        PersonalDataSectionNextOfKin.Relation.GtefLle.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_spouse)
        PersonalDataSectionNextOfKin.Relation.Barnebarn.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_grand_child)
        PersonalDataSectionNextOfKin.Relation.Svigerbarn.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_child_in_law)
        PersonalDataSectionNextOfKin.Relation.VrigFamilie.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_other_family)
        PersonalDataSectionNextOfKin.Relation.Nabo.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_neighbor)
        PersonalDataSectionNextOfKin.Relation.Samboende.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_live_together)
        PersonalDataSectionNextOfKin.Relation.RegistreretPartner.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_registered_partner)
        PersonalDataSectionNextOfKin.Relation.Anden.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_other)
        PersonalDataSectionNextOfKin.Relation.SN.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_son)
        PersonalDataSectionNextOfKin.Relation.Datter.toTextModel()
            .assertResourceModel(expected = R.string.journal_section_personal_data_next_of_kin_relation_daughter)
    }
}
