fastlane documentation
----

# Installation

Make sure you have the latest version of the Xcode command line tools installed:

```sh
xcode-select --install
```

For _fastlane_ installation instructions, see [Installing _fastlane_](https://docs.fastlane.tools/#installing-fastlane)

# Available Actions

## Android

### android bumpReleaseVersion

```sh
[bundle exec] fastlane android bumpReleaseVersion
```

Bump, commit, tag and (optionally) push commit and tag

### android allUnitTests

```sh
[bundle exec] fastlane android allUnitTests
```



### android generateQaReports

```sh
[bundle exec] fastlane android generateQaReports
```

Checks that git is in a correct state and we have a tag. Then generates Unit Test and Coverage reports

### android uploadForProjectEnvironment

```sh
[bundle exec] fastlane android uploadForProjectEnvironment
```

Upload Project Environment version to Firebase

### android uploadForInternalTest

```sh
[bundle exec] fastlane android uploadForInternalTest
```

Upload Internal Test version to Firebase

### android uploadForTest1

```sh
[bundle exec] fastlane android uploadForTest1
```

Upload Test1 version to Firebase

### android uploadForTest2

```sh
[bundle exec] fastlane android uploadForTest2
```

Upload Test2 version to Firebase

### android uploadForGooglePlay

```sh
[bundle exec] fastlane android uploadForGooglePlay
```

Build GooglePlay .aab and upload to Google Play (Takes the Service account json file path as a param)

----

This README.md is auto-generated and will be re-generated every time [_fastlane_](https://fastlane.tools) is run.

More information about _fastlane_ can be found on [fastlane.tools](https://fastlane.tools).

The documentation of _fastlane_ can be found on [docs.fastlane.tools](https://docs.fastlane.tools).
