/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2023 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
@file:Suppress(
    "ArrayInDataClass",
    "EnumEntryName",
    "RemoveRedundantQualifierName",
    "UnusedImport",
)

package dk.nsp.models

import android.os.Parcelable
import com.squareup.moshi.Json
import kotlinx.parcelize.Parcelize

/**
 *
 *
 * @param remarks
 * @param type
 */
@Parcelize
data class AssistedFertilizationSectionAllOf(

    @Json(name = "remarks")
    val remarks: kotlin.String? = null,

    @Json(name = "type")
    val type: AssistedFertilizationSectionAllOf.Type? = null,

) : Parcelable {

    /**
     *
     *
     * Values: Spontaneous,OvulationInductionIvf,Ivf,Icsi,HormoneTherapy,Insemination,EggDonation,Unknown
     */
    enum class Type(val value: kotlin.String) {
        @Json(name = "spontaneous")
        Spontaneous("spontaneous"),

        @Json(name = "ovulation_induction_ivf")
        OvulationInductionIvf("ovulation_induction_ivf"),

        @Json(name = "ivf")
        Ivf("ivf"),

        @Json(name = "icsi")
        Icsi("icsi"),

        @Json(name = "hormone_therapy")
        HormoneTherapy("hormone_therapy"),

        @Json(name = "insemination")
        Insemination("insemination"),

        @Json(name = "egg_donation")
        EggDonation("egg_donation"),

        @Json(name = "unknown")
        Unknown("unknown"),
    }
}
