/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2023 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
@file:Suppress(
    "ArrayInDataClass",
    "EnumEntryName",
    "RemoveRedundantQualifierName",
    "UnusedImport",
)

package dk.nsp.models

import android.os.Parcelable
import com.squareup.moshi.Json
import kotlinx.parcelize.Parcelize

/**
 *
 *
 * @param riskAssessment1
 * @param riskAssessment2
 * @param riskAssessment3
 * @param riskAssessment4
 * @param riskAssessment5
 * @param riskAssessment6
 */
@Parcelize
data class PrenatalRiskAssessmentSection(

    @Json(name = "riskAssessment1")
    val riskAssessment1: RiskAssessment1? = null,

    @Json(name = "riskAssessment2")
    val riskAssessment2: RiskAssessment2? = null,

    @Json(name = "riskAssessment3")
    val riskAssessment3: RiskAssessment3? = null,

    @Json(name = "riskAssessment4")
    val riskAssessment4: RiskAssessment4? = null,

    @Json(name = "riskAssessment5")
    val riskAssessment5: RiskAssessment5? = null,

    @Json(name = "riskAssessment6")
    val riskAssessment6: RiskAssessment6? = null,

) : Parcelable
