/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2023 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
@file:Suppress(
    "ArrayInDataClass",
    "EnumEntryName",
    "RemoveRedundantQualifierName",
    "UnusedImport",
)

package dk.nsp.models

import android.os.Parcelable
import com.squareup.moshi.Json
import kotlinx.parcelize.Parcelize

/**
 *
 *
 * @param maritalOrPartnershipStatus
 * @param livingConditions
 */
@Parcelize
data class SocialHistorySectionAllOf(

    @Json(name = "maritalOrPartnershipStatus")
    val maritalOrPartnershipStatus: SocialHistorySectionAllOf.MaritalOrPartnershipStatus? = null,

    @Json(name = "livingConditions")
    val livingConditions: SocialHistorySectionAllOf.LivingConditions? = null,

) : Parcelable {

    /**
     *
     *
     * Values: Single,Married,Separated,Divorced,Widowed
     */
    enum class MaritalOrPartnershipStatus(val value: kotlin.String) {
        @Json(name = "single")
        Single("single"),

        @Json(name = "married")
        Married("married"),

        @Json(name = "separated")
        Separated("separated"),

        @Json(name = "divorced")
        Divorced("divorced"),

        @Json(name = "widowed")
        Widowed("widowed"),
    }

    /**
     *
     *
     * Values: Partnership,Single
     */
    enum class LivingConditions(val value: kotlin.String) {
        @Json(name = "partnership")
        Partnership("partnership"),

        @Json(name = "single")
        Single("single"),
    }
}
