/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2023 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
@file:Suppress(
    "ArrayInDataClass",
    "EnumEntryName",
    "RemoveRedundantQualifierName",
    "UnusedImport",
)

package dk.nsp.models

import android.os.Parcelable
import com.squareup.moshi.Json
import kotlinx.parcelize.Parcelize

/**
 *
 *
 * @param consumption
 * @param consumesAlcohol
 * @param excessiveDrinkingCount
 * @param excessiveDrinkingWeeks
 * @param tweakPoints
 */
@Parcelize
data class WeeklyConsumptionDuringPregnancy(

    @Json(name = "consumption")
    val consumption: IntegerValueWithUnitEnum? = null,

    @Json(name = "consumesAlcohol")
    val consumesAlcohol: YesNoEnum? = null,

    @Json(name = "excessiveDrinkingCount")
    val excessiveDrinkingCount: java.math.BigDecimal? = null,

    @Json(name = "excessiveDrinkingWeeks")
    val excessiveDrinkingWeeks: kotlin.collections.List<kotlin.Int>? = null,

    @Json(name = "tweakPoints")
    val tweakPoints: WeeklyConsumptionDuringPregnancy.TweakPoints? = null,

) : Parcelable {

    /**
     *
     *
     * Values: _0,_1,_2,_3,_4,_5,_6,_7
     */
    enum class TweakPoints(val value: kotlin.String) {
        @Json(name = "0")
        _0("0"),

        @Json(name = "1")
        _1("1"),

        @Json(name = "2")
        _2("2"),

        @Json(name = "3")
        _3("3"),

        @Json(name = "4")
        _4("4"),

        @Json(name = "5")
        _5("5"),

        @Json(name = "6")
        _6("6"),

        @Json(name = "7")
        _7("7"),
    }
}
