/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2023 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
@file:Suppress(
    "ArrayInDataClass",
    "EnumEntryName",
    "RemoveRedundantQualifierName",
    "UnusedImport",
)

package dk.nsp.models

import android.os.Parcelable
import com.squareup.moshi.Json
import kotlinx.parcelize.Parcelize

/**
 *
 *
 * @param start
 * @param end
 * @param calculated
 * @param remarks
 * @param types
 */
@Parcelize
data class WorkEnvironmentImpactSectionAllOfMotherExposureToWorkEnvironmentRisk(

    @Json(name = "start")
    val start: java.time.LocalDateTime? = null,

    @Json(name = "end")
    val end: java.time.LocalDateTime? = null,

    @Json(name = "calculated")
    val calculated: IntegerValueWithUnitEnum? = null,

    @Json(name = "remarks")
    val remarks: kotlin.String? = null,

    @Json(name = "types")
    val types: kotlin.collections.List<WorkEnvironmentImpactSectionAllOfMotherExposureToWorkEnvironmentRisk.Types>? = null,

) : Parcelable {

    /**
     *
     *
     * Values: Biological,Chemical,Ergonomic,Other
     */
    enum class Types(val value: kotlin.String) {
        @Json(name = "biological")
        Biological("biological"),

        @Json(name = "chemical")
        Chemical("chemical"),

        @Json(name = "ergonomic")
        Ergonomic("ergonomic"),

        @Json(name = "other")
        Other("other"),
    }
}
